Package in.cdac.medinfo.csnotk.csnolib.disb.model

## Class SubstanceDetail

- java.lang.Object
- - in.cdac.medinfo.csnotk.csnolib.disb.model.SubstanceDetail

- All Implemented Interfaces:
    `java.io.Serializable`

      public class SubstanceDetail
      extends java.lang.Object
      implements java.io.Serializable

  Author:
    root `SubstanceDetail` contains detail information about Substance
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SubstanceDetail()` |
    `SubstanceDetail​(java.lang.String id)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.util.List<ChemicalRepresentation>` | `getChemicalRepresentations()` |
    `java.util.List<CompositionDetail>` | `getCompositionDetails()` |
    `java.util.Date` | `getDateOfCreation()` |
    `java.util.Date` | `getDateOfModification()` |
    `java.lang.String` | `getId()` |
    `java.lang.String` | `getMolecularWeight()` |
    `RecordStatus` | `getRecordStatus()` |
    `java.util.List<SubstanceDescription>` | `getSubstanceDescriptions()` |
    `java.util.List<SubstanceIdentifier>` | `getSubstanceIdentifiers()` |
    `java.lang.String` | `getSubstanceInfo()` |
    `java.lang.String` | `getToxicity()` |
    `int` | `getVersion()` |
    `int` | `hashCode()` |
    `void` | `setChemicalRepresentations​(java.util.List<ChemicalRepresentation> chemicalRepresentations)` |
    `void` | `setCompositionDetails​(java.util.List<CompositionDetail> compositionDetails)` |
    `void` | `setDateOfCreation​(java.util.Date dateOfCreation)` |
    `void` | `setDateOfModification​(java.util.Date dateOfModification)` |
    `void` | `setId​(java.lang.String id)` |
    `void` | `setMolecularWeight​(java.lang.String molecularWeight)` |
    `void` | `setRecordStatus​(RecordStatus recordStatus)` |
    `void` | `setSubstanceDescriptions​(java.util.List<SubstanceDescription> substanceDescriptions)` |
    `void` | `setSubstanceIdentifiers​(java.util.List<SubstanceIdentifier> substanceIdentifiers)` |
    `void` | `setSubstanceInfo​(java.lang.String substanceInfo)` |
    `void` | `setToxicity​(java.lang.String toxicity)` |
    `void` | `setVersion​(int version)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SubstanceDetail

          public SubstanceDetail()

    - #### SubstanceDetail

          public SubstanceDetail​(java.lang.String id)

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### getId

          public java.lang.String getId()

    - #### setId

          public void setId​(java.lang.String id)

    - #### getDateOfCreation

          public java.util.Date getDateOfCreation()

    - #### setDateOfCreation

          public void setDateOfCreation​(java.util.Date dateOfCreation)

    - #### getMolecularWeight

          public java.lang.String getMolecularWeight()

    - #### setMolecularWeight

          public void setMolecularWeight​(java.lang.String molecularWeight)

    - #### getSubstanceInfo

          public java.lang.String getSubstanceInfo()

    - #### setSubstanceInfo

          public void setSubstanceInfo​(java.lang.String substanceInfo)

    - #### getToxicity

          public java.lang.String getToxicity()

    - #### setToxicity

          public void setToxicity​(java.lang.String toxicity)

    - #### getVersion

          public int getVersion()

    - #### setVersion

          public void setVersion​(int version)

    - #### getChemicalRepresentations

          public java.util.List<ChemicalRepresentation> getChemicalRepresentations()

    - #### setChemicalRepresentations

          public void setChemicalRepresentations​(java.util.List<ChemicalRepresentation> chemicalRepresentations)

    - #### getCompositionDetails

          public java.util.List<CompositionDetail> getCompositionDetails()

    - #### setCompositionDetails

          public void setCompositionDetails​(java.util.List<CompositionDetail> compositionDetails)

    - #### getSubstanceDescriptions

          public java.util.List<SubstanceDescription> getSubstanceDescriptions()

    - #### setSubstanceDescriptions

          public void setSubstanceDescriptions​(java.util.List<SubstanceDescription> substanceDescriptions)

    - #### getRecordStatus

          public RecordStatus getRecordStatus()

    - #### setRecordStatus

          public void setRecordStatus​(RecordStatus recordStatus)

    - #### getSubstanceIdentifiers

          public java.util.List<SubstanceIdentifier> getSubstanceIdentifiers()

    - #### setSubstanceIdentifiers

          public void setSubstanceIdentifiers​(java.util.List<SubstanceIdentifier> substanceIdentifiers)

    - #### getDateOfModification

          public java.util.Date getDateOfModification()

    - #### setDateOfModification

          public void setDateOfModification​(java.util.Date dateOfModification)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`